GCLOUD_COMPUTE_BACKEND-SERVICES_REMOVE-BACKEND(1)

NAME

gcloud compute backend-services remove-backend - remove a backend from a backend service

SYNOPSIS

gcloud compute backend-services remove-backend NAME --instance-group INSTANCE_GROUP [--instance-group-zone INSTANCE_GROUP_ZONE | --zone ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute backend-services remove-backend is used to remove a backend from a backend service. Before removing a backend, it is a good idea to "drain" the backend first. A backend can be drained by setting its capacity scaler to zero through 'gcloud compute backend-services edit'.

POSITIONAL ARGUMENTS
NAME
    The name of the backend service.

REQUIRED FLAGS
--instance-group INSTANCE_GROUP
    The name or URI of a Google Cloud Instance Group.

OPTIONAL FLAGS
--instance-group-zone INSTANCE_GROUP_ZONE
    The zone of the instance group to remove from the backend service. If not specified, you will be prompted to select a zone. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.
--zone ZONE
    The zone of the instance group to remove from the backend service. DEPRECATED, use --instance-group-zone flag instead.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.